А АMonday, 2 January 2017

Flash-плагин и версия Chrome.

Всем привет.

С наступившим 2017!

Пока я тут водил хороводы вокруг елочки, подобрался ко мне глюк Flash-плагина из web-браузера Chrome. История стара как прошлый год. Помните ее?

Насколько нам известно, в прошлом многие плагины разрабатывались на основе системы NPAPI (Netscape Plugin Application Programming Interface). Сейчас эти устаревшие плагины почти не используются, так как могут вызвать проблемы с безопасностью web-сайта. Важно, чтобы Chrome оставался надежным, быстрым и стабильным браузером, поэтому с 1 сентября 2015 года Google прекратил поддержку плагинов NPAPI и перешел на PPAPI (Pepper Plugin Application Programming Interface).

Если в работе Flash возникли сбои, поддержка советует выполнить следующие действия.

Шаг 1. Убедитесь, что Adobe Flash Player включен.

Откройте браузер Chrome.
Введите chrome://plugins в адресной строке и нажмите Ввод.
Найдите Adobe Flash Player.
Нажмите на ссылку Включить, если он выключен.

Шаг 2. Проверьте версию Chrome. Adobe Flash Player обновляется одновременно с браузером Chrome.

Шаг 3: Обновите Adobe Flash Player вручную.

Откройте браузер Chrome.
Введите chrome://components в адресной строке и нажмите Ввод.
В разделе "pepper_flash" нажмите Проверить обновления.

Обратите внимание, что плагины на основе NPAPI, в том числе Silverlight, Java и Unity, работать не будут.

Проверив свой блог в Chrome вдруг вижу что блоки использующие Flash-плагин покрылись серым налетом "Невозможно запустить плагин". Иду разбираться, пишу chrome://plugins/ и вот вижу что в 23-й версии Flash-плагина нашли уязвимость. Не в первой.


Качаем, ставим, и все чудесно. Chrome доволен и я тоже. Кстати раздела pepper_flash у меня не оказалось.


Но что интересно - есть у меня старенький ноутбук с Windows ХР на которой Chrome кричит что не будет поддерживаться и обновляться на такой ОС. И поэтому у него нет претензий к версии Flash-плагина.)) Поэтому  Chrome на Windows ХР отрабатывает мой блог на ура). Сразу и не заметишь.

Следует помнить что версия плагина теперь зависит и от версии самого web-браузера Chrome. Ага, так вы знали?) Теперь я и буду знать.

Успехов.

No comments:

Post a Comment

А что вы думаете по этому поводу?

Версия на печать

Популярное

Медиа облако